/api/v1/affiliate/click
POST
/api/v1/affiliate/click
const url = 'https://nbaproplab.com/api/v1/affiliate/click';const options = { method: 'POST', headers: { 'Idempotency-Key': 'score-day-2026-05-27-001', Authorization: 'Bearer <token>', 'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json' }, body: '{"sportsbook":"example","surface":"example","pickId":1,"userId":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://nbaproplab.com/api/v1/affiliate/click \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Idempotency-Key: score-day-2026-05-27-001' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "sportsbook": "example", "surface": "example", "pickId": 1, "userId": 1 }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” Idempotency-Key
string
Unique key for safe retry. Duplicate requests return the original operation.
Example
score-day-2026-05-27-001Request Body required
Section titled “Request Body required ”object
sportsbook
required
string
surface
required
string
pickId
null | integer | string format: int32
userId
null | integer | string format: int32
Example generated
{ "sportsbook": "example", "surface": "example", "pickId": 1, "userId": 1}object
sportsbook
required
string
surface
required
string
pickId
null | integer | string format: int32
userId
null | integer | string format: int32
Example generated
{ "sportsbook": "example", "surface": "example", "pickId": 1, "userId": 1}object
sportsbook
required
string
surface
required
string
pickId
null | integer | string format: int32
userId
null | integer | string format: int32
Example generated
{ "sportsbook": "example", "surface": "example", "pickId": 1, "userId": 1}Responses
Section titled “ Responses ”OK
Authentication required.
Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Insufficient permissions or tier.
Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}